## org.eclipse.emf.ecoretools.diagram.sheet
Class EcorePropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
              org.eclipse.gmf.runtime.diagram.ui.properties.sections.AdvancedPropertySection
                  org.eclipse.emf.ecoretools.diagram.sheet.EcorePropertySection

All Implemented Interfaces:
  org.eclipse.ui.views.properties.IPropertySourceProvider, org.eclipse.ui.views.properties.tabbed.ISection

    public class EcorePropertySection

extends org.eclipse.gmf.runtime.diagram.ui.properties.sections.AdvancedPropertySection
implements org.eclipse.ui.views.properties.IPropertySourceProvider

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AdvancedPropertySection
`page`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
`disposed, eObject, eventListener, input, propertiesProvider, VALUE_CHANGED_STRING`

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`EcorePropertySection()`

Method Summary
`protected org.eclipse.emf.common.notify.AdapterFactory` `getAdapterFactory(java.lang.Object object)`
`org.eclipse.ui.views.properties.IPropertySource` `getPropertySource(java.lang.Object object)`
`protected org.eclipse.ui.views.properties.IPropertySourceProvider` `getPropertySourceProvider()`
`void` `setInput(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
`protected java.lang.Object` `transformSelection(java.lang.Object selected)` Modify/unwrap selection.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AdvancedPropertySection
`addToEObjectList, createControls, dispose, getFilter, getTableLabel, refresh, setActionBars, shouldUseExtraSpace, update`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection

`aboutToBeHidden, aboutToBeShown, adapt, createCommand, createCommand, digIntoGroups, executeAsCompositeCommand, executeAsReadAction, getEditingDomain, getEObject, getEObjectList, getEventListener, getInput, getPrimarySelection, getStandardLabelWidth, getUpdateRequestCollapser, handleElementModifiedEvent, isCurrentSelection, isDisposed, isNotifierDeleted, isReadOnly, postUpdateRequest, setEditingDomain, setEObject, unwrap, update`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`getMinimumHeight, getPart, getSelection, getWidgetFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcorePropertySection

    public EcorePropertySection()

Method Detail

### getPropertySource

    public org.eclipse.ui.views.properties.IPropertySource getPropertySource(java.lang.Object object)

  Specified by:
    `getPropertySource` in interface `org.eclipse.ui.views.properties.IPropertySourceProvider`

### getPropertySourceProvider

    protected org.eclipse.ui.views.properties.IPropertySourceProvider getPropertySourceProvider()

  Overrides:
    `getPropertySourceProvider` in class `org.eclipse.gmf.runtime.diagram.ui.properties.sections.AdvancedPropertySection`

### transformSelection

    protected java.lang.Object transformSelection(java.lang.Object selected)

  Modify/unwrap selection.

### setInput

    public void setInput(org.eclipse.ui.IWorkbenchPart part,
                         org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `setInput` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
  Overrides:
    `setInput` in class `org.eclipse.gmf.runtime.diagram.ui.properties.sections.AdvancedPropertySection`

### getAdapterFactory

    protected org.eclipse.emf.common.notify.AdapterFactory getAdapterFactory(java.lang.Object object)

Copyright 2007 Anyware Technologies. All Rights Reserved.